# Generated by Django 2.0.6 on 2018-07-07 18:26

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('name', models.CharField(max_length=50, verbose_name='Name')),
            ],
            options={'verbose_name': 'Kategorie', 'verbose_name_plural': 'Kategorien'},
        ),
        migrations.CreateModel(
            name='Recording',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'title',
                    models.CharField(
                        help_text='Nur zum internen Gebrauch, wird nicht im Frontend angezeigt.',
                        max_length=255,
                        unique=True,
                        verbose_name='Titel',
                    ),
                ),
                ('cover_image', models.ImageField(upload_to='', verbose_name='CD-Cover')),
                (
                    'category',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name='recordings',
                        related_query_name='recording',
                        to='recordings.Category',
                        verbose_name='Kategorie',
                    ),
                ),
            ],
            options={'verbose_name': 'Aufnahme', 'verbose_name_plural': 'Aufnahmen'},
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'name',
                    models.CharField(
                        help_text='Z. B. „assistent engineer“ oder „editor“.',
                        max_length=50,
                        verbose_name='Name',
                    ),
                ),
            ],
            options={'verbose_name': 'Rolle', 'verbose_name_plural': 'Rollen'},
        ),
        migrations.AddField(
            model_name='recording',
            name='roles',
            field=models.ManyToManyField(
                related_name='recordings',
                related_query_name='recording',
                to='recordings.Role',
            ),
        ),
    ]
